Subject: Carnivorous plants

From: Ben Levin <[email-masked]>
Date: Fri, 28 Jun 1996 14:04:50 -0400

Hi all,

 Whoever originally posted the request for info on the Carnivorous plant 
group:  I saw your post  (actually,  I saw the unhelpful returns to your 
post) and,  being a member of ICPS (the International Carnivorous Plant 
Society), knew I had to reply.
 There is a news group for CP fanatics/growers.  To join send the message:
SUBSCRIBE CP YOUR NAME (first last)
To: [email-masked]
 You will then be given the introductory information on the group.

Good luck,
Ben.